#ifndef WindowCaptureDialog_h
#define WindowCaptureDialog_h

// $Id: WindowCaptureDialog.h,v 1.3 2014/05/09 07:21:28 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "Counter.h"
#include "CustomDialog.h"

#include <QAction>
#include <QPushButton>

class WindowCaptureWidget;

//! save all modified files
class WindowCaptureDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //! constructor
    WindowCaptureDialog( QWidget* = 0x0 );

    //! destructor
    virtual ~WindowCaptureDialog( void )
    {}

    //!@name accessors
    //@{

    //! capture widget
    WindowCaptureWidget& windowCaptureWidget( void ) const
    { return *windowCaptureWidget_; }

    //! reload button
    QPushButton& reloadButton( void ) const
    { return *reloadButton_; }

    //@}

    Q_SIGNALS:

    //! emmitted when hidden
    void dialogHidden( void );

    protected:

    //! hide event
    virtual void closeEvent( QCloseEvent* );

    private:

    //! capture widget
    WindowCaptureWidget* windowCaptureWidget_;

    //! reload button
    QPushButton* reloadButton_;

};

#endif
