#ifndef XcbProperties_h
#define XcbProperties_h

// $Id: XcbProperties.h,v 1.2 2014/05/08 10:15:38 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "AtomData.h"
#include "Counter.h"

#include <QObject>
#include <QWidget>

#if HAVE_X11
#include <xcb/xcb.h>
#endif

class XcbProperties: public QObject, public Counter
{
    
    Q_OBJECT

    public:

    //! constructor
    XcbProperties( QObject* parent ):
        QObject( parent ),
        Counter( "XcbProperties" )
    {}

    //! destructor
    virtual ~XcbProperties( void )
    {}

    #if HAVE_X11

    //! get data matching atom
    AtomData::Pointer atomData( WId, xcb_atom_t );

    //! get name matching atom
    QString atomName( xcb_atom_t );
    #endif

    private:

    //! map atom names and atoms
    #if HAVE_X11
    typedef QHash<xcb_atom_t, QString> AtomNameMap;
    AtomNameMap atomNames_;
    #endif
};

#endif
