#ifndef XcbTreeParser_h
#define XcbTreeParser_h

// $Id: XcbWindowTreeParser.h,v 1.8 2014/05/08 10:15:38 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "WindowTreeItem.h"
#include "Counter.h"

class XcbProperties;

class XcbWindowTreeParser: public QObject, public Counter
{
    
    Q_OBJECT

    public:

    //! constructor
    XcbWindowTreeParser( QObject* );
    
    //! destructor
    virtual ~XcbWindowTreeParser( void )
    {}
    
    //! filter real windows
    void setShowAllWindows( bool value )
    { showAllWindows_ = value; }

    //! parse
    WindowTreeItem::List parse( WindowTreeItem );

    protected:

    //! parse (recursive)
    WindowTreeItem::List _parse( WindowTreeItem );

    //! get window name
    QString _windowName( WId ) const;

    private:

    //! xcb properties
    XcbProperties* xcbProperties_;
    
    //! root window
    WId root_;

    //! true when root is found
    bool foundRoot_;

    //! true if only real windows are to be shown
    bool showAllWindows_;

};

#endif
